Skip to main content
PUT
Update a lookup table in the draft

Authorizations

x-api-key
string
header
required

Path Parameters

heron_id
string
required

Query Parameters

user_id
integer

Account to act on. Honoured only for admins.

Body

application/json
definition
object
required

The whole table, replacing the current one: key (the attribute the table is looked up by), columns (may be empty for a plain list), rows (each with keys and values) and unlisted (behaviour and values for a key not in the table)

change_description
string | null
Maximum string length: 255

Response

OK

lookup_table
object